Bug 65366 - [chromium] Fail new fast/js/parseInt.html test
Summary: [chromium] Fail new fast/js/parseInt.html test
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Gentilcore
URL:
Keywords:
Depends on:
Blocks: 65325 65348
  Show dependency treegraph
 
Reported: 2011-07-29 04:15 PDT by Tony Gentilcore
Modified: 2011-09-12 23:56 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.21 KB, patch)
2011-07-29 04:20 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch (1.39 KB, patch)
2011-09-11 23:05 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2011-07-29 04:15:19 PDT
fast/js/parseInt.html was added by http://trac.webkit.org/changeset/91966.

JSC passes, but V8 fails one of the assertions:

FAIL state = null; try { parseInt(throwingString, throwingRadix); } catch (e) {} state; should be throwingString. Was throwingRadix.

I'm going to skip the new test for now.
Comment 1 Tony Gentilcore 2011-07-29 04:20:32 PDT
Created attachment 102343 [details]
Patch
Comment 2 Tony Gentilcore 2011-07-29 04:21:50 PDT
Committed r91983: <http://trac.webkit.org/changeset/91983>
Comment 3 Tony Gentilcore 2011-07-29 04:22:36 PDT
Leaving open to track the real fix.
Comment 4 Shinya Kawanaka 2011-08-31 07:20:03 PDT
I've filed the bug in v8.
http://code.google.com/p/v8/issues/detail?id=1649

Also, I've uploaded the CL
http://codereview.chromium.org/7740080/
Comment 5 Shinya Kawanaka 2011-09-11 23:05:57 PDT
Created attachment 107022 [details]
Patch
Comment 6 WebKit Review Bot 2011-09-11 23:31:54 PDT
Comment on attachment 107022 [details]
Patch

Attachment 107022 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9634876

New failing tests:
fast/js/parseInt.html
Comment 7 Eric Seidel (no email) 2011-09-12 15:08:04 PDT
Comment on attachment 107022 [details]
Patch

I take it we haven't rolled in the latest v8?  Is that why the cr-linux bot failed?
Comment 8 WebKit Review Bot 2011-09-12 22:21:41 PDT
Comment on attachment 107022 [details]
Patch

Rejecting attachment 107022 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
mismatch : (1)
  svg/custom/svg-fonts-word-spacing.html = IMAGE+TEXT

Regressions: Unexpected image mismatch : (5)
  fast/text/atsui-multiple-renderers.html = IMAGE
  fast/text/international/danda-space.html = IMAGE
  fast/text/international/thai-baht-space.html = IMAGE
  fast/text/international/thai-line-breaks.html = IMAGE
  platform/chromium-linux/fast/text/international/complex-joining-using-gpos.html = IMAGE

Regressions: Unexpected text diff mismatch : (1)
  fast/js/parseInt.html = TEXT



Full output: http://queues.webkit.org/results/9647353
Comment 9 Kent Tamura 2011-09-12 22:46:57 PDT
Comment on attachment 107022 [details]
Patch

This needs Chromium r100348 or later?
Let's try again.
Comment 10 WebKit Review Bot 2011-09-12 23:56:46 PDT
Comment on attachment 107022 [details]
Patch

Clearing flags on attachment: 107022

Committed r95021: <http://trac.webkit.org/changeset/95021>
Comment 11 WebKit Review Bot 2011-09-12 23:56:52 PDT
All reviewed patches have been landed.  Closing bug.